GEODESIC(1)

NAME
geodesic - geodesic spheres

SYNOPSIS
geodesic [options] [input_file]

DESCRIPTION
Read a file in OFF format and make a higher frequency, plane-faced polyhedron or geodesic sphere. If input_file is not given the program reads from standard input

Options

-h,--help this help message (run 'off_util -H help' for general help)

--version version information

-f <freq> pattern frequency, a positive integer (default: 1) giving the

    number of repeats of the specified pattern along an edge

-F <freq> final step frequency, minimum number of edges to move between

    base vertices in the geodesic model. For a pattern m,n the step frequency is pattern_frequency/(m+n)

-c <clss> face division pattern,
    1 (Class I, default), 2 (Class II), or

    two numbers separated by a comma to determine the pattern (Class III, but n,0 or 0,n is Class I, and n,n is Class II)

-M <mthd> Method of applying the frequency pattern:

    s - geodesic sphere (default). The pattern grid is formed

    from divisions along each edge that make an equal angle at the centre. The geodesic vertices are centred at the origin and projected on to a unit sphere.

    p - planar. The pattern grid is formed from equal length

    divisions along each edge, the new vertices lie on the surface of the original polyhedron.

-C <cent> centre of points, in form "x_val,y_val,z_val" (default: 0,0,0)

    used for geodesic spheres

-o <file> write output to file (default: write to standard output)

SEE ALSO
The full documentation for geodesic is maintained as a Texinfo manual. If the info and geodesic programs are properly installed at your site, the command

    info geodesic

should give you access to the complete manual.